Pool Info
Returns current pool TVL (Total Value Locked), swap volume, fees APR (Annual Percentage Rate), price volatility and mean adjusted volatility (percentage), tick pressure per 1M$ volume, number of swaps, and unique users for a specific PancakeSwap V3 pool, broken down by time range (5 minutes, 1 hour, 1 day, 1 week, 1 month, and 1 year).
GET
https://api.cambrian.org/evm/pancake/v3/pool
Parameters
chain_id (integer)
EVM chain ID.
pool_address* (string)
Pool address with 0x prefix
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "createdAt",
"type": "DateTime('UTC')"
},
{
"name": "token0Address",
"type": "String"
},
{
"name": "token0Symbol",
"type": "String"
},
{
"name": "token0Decimals",
"type": "UInt8"
},
{
"name": "token1Address",
"type": "String"
},
{
"name": "token1Symbol",
"type": "String"
},
{
"name": "token1Decimals",
"type": "UInt8"
},
{
"name": "feeTier",
"type": "UInt32"
},
{
"name": "tickSpacing",
"type": "Int32"
},
{
"name": "currentLiquidity",
"type": "Int256"
},
{
"name": "currentSqrtPriceX96",
"type": "UInt256"
},
{
"name": "currentTick",
"type": "Int32"
},
{
"name": "currentPoolPrice",
"type": "Float64"
},
{
"name": "poolTvlUsd",
"type": "Nullable(Float64)"
},
{
"name": "swapVolumeUsd",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "feeApr",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "priceVolatilityPct",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "priceVolatilityAdjustedPct",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "tickPressurePer1MUsd",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "swapCount",
"type": "Map(String,Nullable(UInt64))"
},
{
"name": "uniqueUserCount",
"type": "Map(String,Nullable(UInt64))"
}
],
"data": [
[
"2024-09-13T06:45:47+00:00",
"0x4200000000000000000000000000000000000006",
"WETH",
18,
"0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf",
"cbBTC",
8,
100,
1,
"55094025491634546",
"138981244325780445209137",
-265084,
0.03077182287081793,
5630516.118241387,
{
"1 day": 29843160.246630725,
"1 hour": 2196261.9710277515,
"1 month": 1010251435.928067,
"1 week": 184230688.94313514,
"1 year": 22106699480.530006,
"5 minute": 33736.902360440785
},
{
"1 day": 0.19345923644069796,
"1 hour": 0.3416961156344619,
"1 month": 0.2153091648536699,
"1 week": 0.1701441861431915,
"1 year": 0.3926229677046858,
"5 minute": 0.06298575657460707
},
{
"1 day": 0.008596393836680458,
"1 hour": 0.0028334479779644323,
"1 month": 0.05062333331458849,
"1 week": 0.02235253423230649,
"1 year": 0.3048072388974808,
"5 minute": 0.0002578211668902919
},
{
"1 day": 0.00006595460145268529,
"1 hour": 0.00007910007393629633,
"1 month": 0.00006795523693825376,
"1 week": 0.00007323514368768352,
"1 year": 0.00009976372221338705,
"5 minute": 0.00005431424971274338
},
{
"1 day": 221.39076241920213,
"1 hour": 279.11060159783386,
"1 month": 194.9524573742091,
"1 week": 188.92617836729286,
"1 year": 180.7830247803316,
"5 minute": 237.12906165862574
},
{
"1 day": 16988,
"1 hour": 1283,
"1 month": 554952,
"1 week": 93153,
"1 year": 9334805,
"5 minute": 22
},
{
"1 day": 128,
"1 hour": 62,
"5 minute": 11
}
]
],
"rows": 1
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Fetch pool info for a specific PancakeSwap V3 pool
Retrieves current metrics for the WETH/cbBTC pool on Base using its pool address.
curl
curl -X GET "https://api.cambrian.org/evm/pancake/v3/pool?pool_address=0xC211e1f853A898Bd1302385CCdE55f33a8C4B3f3" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "createdAt",
6 "type": "DateTime('UTC')"
7 },
8 {
9 "name": "token0Address",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1Address",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "feeTier",
34 "type": "UInt32"
35 },
36 {
37 "name": "tickSpacing",
38 "type": "Int32"
39 },
40 {
41 "name": "currentLiquidity",
42 "type": "Int256"
43 },
44 {
45 "name": "currentSqrtPriceX96",
46 "type": "UInt256"
47 },
48 {
49 "name": "currentTick",
50 "type": "Int32"
51 },
52 {
53 "name": "currentPoolPrice",
54 "type": "Float64"
55 },
56 {
57 "name": "poolTvlUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "swapVolumeUsd",
62 "type": "Map(String,Nullable(Float64))"
63 },
64 {
65 "name": "feeApr",
66 "type": "Map(String,Nullable(Float64))"
67 },
68 {
69 "name": "priceVolatilityPct",
70 "type": "Map(String,Nullable(Float64))"
71 },
72 {
73 "name": "priceVolatilityAdjustedPct",
74 "type": "Map(String,Nullable(Float64))"
75 },
76 {
77 "name": "tickPressurePer1MUsd",
78 "type": "Map(String,Nullable(Float64))"
79 },
80 {
81 "name": "swapCount",
82 "type": "Map(String,Nullable(UInt64))"
83 },
84 {
85 "name": "uniqueUserCount",
86 "type": "Map(String,Nullable(UInt64))"
87 }
88 ],
89 "data": [
90 [
91 "2024-09-13T06:45:47+00:00",
92 "0x4200000000000000000000000000000000000006",
93 "WETH",
94 18,
95 "0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf",
96 "cbBTC",
97 8,
98 100,
99 1,
100 "55094025491634546",
101 "138981244325780445209137",
102 -265084,
103 0.03077182287081793,
104 5630516.118241387,
105 {
106 "1 day": 29843160.246630725,
107 "1 hour": 2196261.9710277515,
108 "1 month": 1010251435.928067,
109 "1 week": 184230688.94313514,
110 "1 year": 22106699480.530006,
111 "5 minute": 33736.902360440785
112 },
113 {
114 "1 day": 0.19345923644069796,
115 "1 hour": 0.3416961156344619,
116 "1 month": 0.2153091648536699,
117 "1 week": 0.1701441861431915,
118 "1 year": 0.3926229677046858,
119 "5 minute": 0.06298575657460707
120 },
121 {
122 "1 day": 0.008596393836680458,
123 "1 hour": 0.0028334479779644323,
124 "1 month": 0.05062333331458849,
125 "1 week": 0.02235253423230649,
126 "1 year": 0.3048072388974808,
127 "5 minute": 0.0002578211668902919
128 },
129 {
130 "1 day": 0.00006595460145268529,
131 "1 hour": 0.00007910007393629633,
132 "1 month": 0.00006795523693825376,
133 "1 week": 0.00007323514368768352,
134 "1 year": 0.00009976372221338705,
135 "5 minute": 0.00005431424971274338
136 },
137 {
138 "1 day": 221.39076241920213,
139 "1 hour": 279.11060159783386,
140 "1 month": 194.9524573742091,
141 "1 week": 188.92617836729286,
142 "1 year": 180.7830247803316,
143 "5 minute": 237.12906165862574
144 },
145 {
146 "1 day": 16988,
147 "1 hour": 1283,
148 "1 month": 554952,
149 "1 week": 93153,
150 "1 year": 9334805,
151 "5 minute": 22
152 },
153 {
154 "1 day": 128,
155 "1 hour": 62,
156 "5 minute": 11
157 }
158 ]
159 ],
160 "rows": 1
161 }
162]
2 {
3 "columns": [
4 {
5 "name": "createdAt",
6 "type": "DateTime('UTC')"
7 },
8 {
9 "name": "token0Address",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1Address",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "feeTier",
34 "type": "UInt32"
35 },
36 {
37 "name": "tickSpacing",
38 "type": "Int32"
39 },
40 {
41 "name": "currentLiquidity",
42 "type": "Int256"
43 },
44 {
45 "name": "currentSqrtPriceX96",
46 "type": "UInt256"
47 },
48 {
49 "name": "currentTick",
50 "type": "Int32"
51 },
52 {
53 "name": "currentPoolPrice",
54 "type": "Float64"
55 },
56 {
57 "name": "poolTvlUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "swapVolumeUsd",
62 "type": "Map(String,Nullable(Float64))"
63 },
64 {
65 "name": "feeApr",
66 "type": "Map(String,Nullable(Float64))"
67 },
68 {
69 "name": "priceVolatilityPct",
70 "type": "Map(String,Nullable(Float64))"
71 },
72 {
73 "name": "priceVolatilityAdjustedPct",
74 "type": "Map(String,Nullable(Float64))"
75 },
76 {
77 "name": "tickPressurePer1MUsd",
78 "type": "Map(String,Nullable(Float64))"
79 },
80 {
81 "name": "swapCount",
82 "type": "Map(String,Nullable(UInt64))"
83 },
84 {
85 "name": "uniqueUserCount",
86 "type": "Map(String,Nullable(UInt64))"
87 }
88 ],
89 "data": [
90 [
91 "2024-09-13T06:45:47+00:00",
92 "0x4200000000000000000000000000000000000006",
93 "WETH",
94 18,
95 "0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf",
96 "cbBTC",
97 8,
98 100,
99 1,
100 "55094025491634546",
101 "138981244325780445209137",
102 -265084,
103 0.03077182287081793,
104 5630516.118241387,
105 {
106 "1 day": 29843160.246630725,
107 "1 hour": 2196261.9710277515,
108 "1 month": 1010251435.928067,
109 "1 week": 184230688.94313514,
110 "1 year": 22106699480.530006,
111 "5 minute": 33736.902360440785
112 },
113 {
114 "1 day": 0.19345923644069796,
115 "1 hour": 0.3416961156344619,
116 "1 month": 0.2153091648536699,
117 "1 week": 0.1701441861431915,
118 "1 year": 0.3926229677046858,
119 "5 minute": 0.06298575657460707
120 },
121 {
122 "1 day": 0.008596393836680458,
123 "1 hour": 0.0028334479779644323,
124 "1 month": 0.05062333331458849,
125 "1 week": 0.02235253423230649,
126 "1 year": 0.3048072388974808,
127 "5 minute": 0.0002578211668902919
128 },
129 {
130 "1 day": 0.00006595460145268529,
131 "1 hour": 0.00007910007393629633,
132 "1 month": 0.00006795523693825376,
133 "1 week": 0.00007323514368768352,
134 "1 year": 0.00009976372221338705,
135 "5 minute": 0.00005431424971274338
136 },
137 {
138 "1 day": 221.39076241920213,
139 "1 hour": 279.11060159783386,
140 "1 month": 194.9524573742091,
141 "1 week": 188.92617836729286,
142 "1 year": 180.7830247803316,
143 "5 minute": 237.12906165862574
144 },
145 {
146 "1 day": 16988,
147 "1 hour": 1283,
148 "1 month": 554952,
149 "1 week": 93153,
150 "1 year": 9334805,
151 "5 minute": 22
152 },
153 {
154 "1 day": 128,
155 "1 hour": 62,
156 "5 minute": 11
157 }
158 ]
159 ],
160 "rows": 1
161 }
162]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/pancake/v3/pool"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/pancake/v3/pool"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/pancake/v3/pool")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/pancake/v3/pool")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request